## pydantic-core 2.11.0

=== tests/requirements.txt ===
coverage==7.2.7
dirty-equals==0.6.0
hypothesis==6.79.4
# pandas doesn't offer prebuilt wheels for all versions and platforms we test in CI e.g. aarch64 musllinux
pandas==2.0.3; python_version >= "3.9" and python_version < "3.12" and implementation_name == "cpython" and platform_machine == 'x86_64'
pytest==7.4.2
# we run codspeed benchmarks on x86_64 CPython (i.e. native github actions architecture)
pytest-codspeed~=2.2.0; implementation_name == "cpython" and platform_machine == 'x86_64'
pytest-examples==0.0.10
pytest-speed==0.3.5
pytest-mock==3.11.1
pytest-pretty==1.2.0
pytest-timeout==2.2.0
pytz==2023.3.post1
# numpy doesn't offer prebuilt wheels for all versions and platforms we test in CI e.g. aarch64 musllinux
numpy==1.25.2; python_version >= "3.9" and python_version < "3.12" and implementation_name == "cpython" and platform_machine == 'x86_64'
exceptiongroup==1.1; python_version < "3.11"
