=== debian/changelog ===
pydantic-core (2.11.0-1) unstable; urgency=medium

  * Initial release (Closes: #1052619)

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Mar 2024 11:26:55 +0100
