=== debian/control ===
Source: pydantic-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 Michael Banck <mbanck@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cargo,
 dh-sequence-python3,
 libpython3-all-dev,
 librust-ahash-dev,
 librust-base64-dev,
 librust-enum-dispatch-dev,
 librust-idna-dev,
 librust-num-bigint-dev,
 librust-pyo3-dev,
 librust-python3-dll-a-dev,
 librust-regex-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-smallvec-dev,
 librust-speedate-dev,
 librust-strum-dev,
 librust-strum-macros-dev,
 librust-url-dev,
 librust-uuid-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-dirty-equals <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-maturin,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-typing-extensions,
Homepage: https://github.com/pydantic/pydantic-core
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-core.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-core
Testsuite: autopkgtest-pkg-pybuild
Description: Rust implementation of pydantic core functionality
 pydantic uses type hinting (PEP 484) and variable annotation (PEP 526) to
 validate that untrusted data takes the desired form. There is also support for
 an extension to dataclasses where the input data is validated.
 .
 The core library is implemented in Rust and up to seventeen times faster than
 the original pure Python implementation.

Package: python3-pydantic-core
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module.
