=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export PYBUILD_NAME = pydantic-core
export DEB_BUILD_MAINT_OPTIONS = hardening=all

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	test ! -f Cargo.lock.saved || mv Cargo.lock.saved Cargo.lock

execute_before_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	cargo generate-lockfile --offline
