## pydantic-core 2.23.3

=== debian/changelog ===
pydantic-core (2.23.3-1) unstable; urgency=medium

  * Team upload.
  * Add Built-Using, X-Cargo-Built-Using, and Static-Built-Using fields
    (closes: #1081538).
  * Fix typo in DEB_BUILD_MAINT_OPTIONS hardening option.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 00:27:43 +0100

pydantic-core (2.20.1-1) unstable; urgency=medium

  * New upstream release (closes: #1073481).

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 21:48:49 +0100
