=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  cargo,
+ dh-cargo,
  dh-sequence-python3,
  libpython3-all-dev,
  librust-ahash-dev,
  librust-base64-dev,
  librust-enum-dispatch-dev,
+ librust-hex-dev,
  librust-idna-dev,
+ librust-jiter+python-dev,
  librust-num-bigint-dev,
  librust-pyo3-dev,
  librust-python3-dll-a-dev,
@@ -27,6 +30,7 @@
  librust-url-dev,
  librust-uuid-dev,
  pybuild-plugin-pyproject,
+ python3:native,
  python3-all-dev:any,
  python3-dirty-equals <!nocheck>,
  python3-hypothesis <!nocheck>,
@@ -60,4 +64,6 @@
  ${source:Extended-Description}
  .
  This package installs the Python 3 module.
-
+Built-Using: ${cargo:Built-Using}
+XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
