## pydantic-core 2.23.4

=== debian/changelog ===
pydantic-core (2.23.4-2) unstable; urgency=medium

  * Team upload.
  * Drop patch to use base64 0.21.x (closes: #1084322).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 10:39:46 +0100

pydantic-core (2.23.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Sep 2024 11:18:56 +0100
