=== debian/changelog ===
pydantic-core (2.27.2-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:57:21 +0000

pydantic-core (2.27.2-3) unstable; urgency=medium

  * Add Breaks on python3-pydantic (<< 2.10.6-2~).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 09:28:10 +0100

pydantic-core (2.27.2-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * Drop patch to use idna 0.4.x.
  * Adjust tests for url 2.5.4 (closes: #1101417).

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Apr 2025 13:08:44 +0100

pydantic-core (2.27.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 23:11:09 +0000

pydantic-core (2.27.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Nov 2024 16:18:37 +0000
