=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Timo Röhling <roehling@debian.org>,
  Michael Banck <mbanck@debian.org>,
+ Colin Watson <cjwatson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cargo,
@@ -15,8 +16,8 @@
  librust-base64-dev,
  librust-enum-dispatch-dev,
  librust-hex-dev,
- librust-idna-dev,
- librust-jiter+python-dev,
+ librust-idna-dev (>= 1.0.2),
+ librust-jiter+python-dev (>= 0.7.1),
  librust-num-bigint-dev,
  librust-pyo3-dev,
  librust-python3-dll-a-dev,
@@ -24,16 +25,17 @@
  librust-serde-dev,
  librust-serde-json-dev,
  librust-smallvec-dev,
- librust-speedate-dev,
+ librust-speedate-dev (>= 0.15.0),
  librust-strum-dev,
  librust-strum-macros-dev,
- librust-url-dev,
+ librust-url-dev (>= 2.5.4),
  librust-uuid-dev,
  pybuild-plugin-pyproject,
  python3:native,
  python3-all-dev:any,
  python3-dirty-equals <!nocheck>,
  python3-hypothesis <!nocheck>,
+ python3-inline-snapshot <!nocheck>,
  python3-maturin,
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
@@ -60,6 +62,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ python3-pydantic (<< 2.10.6-2~),
 Description: ${source:Synopsis} (Python 3 module)
  ${source:Extended-Description}
  .
