## pydantic-core 2.37.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 .DEFAULT_GOAL := all
-sources = python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+sources = python/pydantic_core tests wasm-preview/run_tests.py
+
+mypy-stubtest = uv run python -m mypy.stubtest pydantic_core._pydantic_core --allowlist .mypy-stubtest-allowlist
 
 # using pip install cargo (via maturin via pip) doesn't get the tty handle
 # so doesn't render color without some help
@@ -38,56 +40,32 @@
 .PHONY: build-dev
 build-dev:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	uv run maturin develop
-else
-	uv pip install --force-reinstall -v -e . --config-settings=build-args='--profile dev'
-endif
+	uv run maturin develop --uv
 
 .PHONY: build-prod
 build-prod:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	uv run maturin develop --release
-else
-	uv pip install -v -e .
-endif
+	uv run maturin develop --uv --release
 
 .PHONY: build-profiling
 build-profiling:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	uv run maturin develop --profile profiling
-else
-	uv pip install --force-reinstall -v -e . --config-settings=build-args='--profile profiling'
-endif
+	uv run maturin develop --uv --profile profiling
 
 .PHONY: build-coverage
 build-coverage:
 	@rm -f python/pydantic_core/*.so
-ifneq ($(USE_MATURIN),)
-	RUSTFLAGS='-C instrument-coverage' uv run maturin develop --release
-else
-	RUSTFLAGS='-C instrument-coverage' uv pip install -v -e .
-endif
+	RUSTFLAGS='-C instrument-coverage' uv run maturin develop --uv --release
 
 .PHONY: build-pgo
 build-pgo:
 	@rm -f python/pydantic_core/*.so
 	$(eval PROFDATA := $(shell mktemp -d))
-ifneq ($(USE_MATURIN),)
-	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv run maturin develop --release
-else
-	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv pip install --force-reinstall -v -e .
-endif
+	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' uv run maturin develop --uv --release
 	pytest tests/benchmarks
 	$(eval LLVM_PROFDATA := $(shell rustup run stable bash -c 'echo $$RUSTUP_HOME/toolchains/$$RUSTUP_TOOLCHAIN/lib/rustlib/$$(rustc -Vv | grep host | cut -d " " -f 2)/bin/llvm-profdata'))
 	$(LLVM_PROFDATA) merge -o $(PROFDATA)/merged.profdata $(PROFDATA)
-ifneq ($(USE_MATURIN),)
-	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv run maturin develop --release
-else
-	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv pip install --force-reinstall -v -e .
-endif
+	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' uv run maturin develop --uv --release
 	@rm -rf $(PROFDATA)
 
 
@@ -108,6 +86,7 @@
 	uv run ruff check $(sources)
 	uv run ruff format --check $(sources)
 	uv run griffe dump -f -d google -LWARNING -o/dev/null python/pydantic_core
+	$(mypy-stubtest)
 
 .PHONY: lint-rust
 lint-rust:
@@ -145,7 +124,6 @@
 	rm -f `find . -type f -name '*.py[co]' `
 	rm -f `find . -type f -name '*~' `
 	rm -f `find . -type f -name '.*~' `
-	rm -rf src/self_schema.py
 	rm -rf .cache
 	rm -rf htmlcov
 	rm -rf .pytest_cache
