=== debian/changelog ===
pydantic-core (2.37.2-2) unstable; urgency=medium

  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:24:53 +0100

pydantic-core (2.37.2-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream patch to fix test failures with pytest 8.4.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 16:32:25 +0100
