=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
  dh-cargo,
  dh-sequence-python3,
  libpython3-all-dev,
- librust-ahash-dev,
+ librust-ahash-dev (>= 0.8.12),
  librust-base64-dev,
  librust-enum-dispatch-dev,
  librust-hex-dev,
- librust-idna-dev (>= 1.0.2),
- librust-jiter+python-dev (>= 0.7.1),
+ librust-idna-dev (>= 1.0.3),
+ librust-jiter+python-dev (>= 0.10.0),
  librust-num-bigint-dev,
- librust-pyo3-dev,
- librust-python3-dll-a-dev,
+ librust-num-traits-dev (>= 0.2.19),
+ librust-pyo3-dev (>= 0.25),
  librust-regex-dev,
  librust-serde-dev,
- librust-serde-json-dev,
- librust-smallvec-dev,
- librust-speedate-dev (>= 0.15.0),
+ librust-serde-json-dev (>= 1.0.140),
+ librust-smallvec-dev (>= 1.15.1),
+ librust-speedate-dev (>= 0.16.0),
  librust-strum-dev,
  librust-strum-macros-dev,
  librust-url-dev (>= 2.5.4),
@@ -40,8 +40,10 @@
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-pytest-run-parallel <!nocheck>,
  python3-pytest-timeout <!nocheck>,
- python3-typing-extensions,
+ python3-typing-extensions (>= 4.14.1),
+ python3-typing-inspection <!nocheck>,
 Homepage: https://github.com/pydantic/pydantic-core
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
