=== debian/changelog ===
pydantic-core (2.41.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Oct 2025 11:29:26 +0100
