=== debian/control ===
--- 
+++ 
@@ -16,20 +16,21 @@
  librust-base64-dev,
  librust-enum-dispatch-dev,
  librust-hex-dev,
- librust-idna-dev (>= 1.0.3),
- librust-jiter+python-dev (>= 0.10.0),
+ librust-idna-dev (>= 1.1.0),
+ librust-jiter+python-dev (>= 0.11.0),
  librust-num-bigint-dev,
  librust-num-traits-dev (>= 0.2.19),
- librust-pyo3-dev (>= 0.25),
- librust-regex-dev,
+ librust-percent-encoding-dev,
+ librust-pyo3-dev (>= 0.26),
+ librust-regex-dev (>= 1.11.3),
  librust-serde-dev,
- librust-serde-json-dev (>= 1.0.140),
+ librust-serde-json-dev (>= 1.0.143),
  librust-smallvec-dev (>= 1.15.1),
- librust-speedate-dev (>= 0.16.0),
+ librust-speedate-dev (>= 0.17.0),
  librust-strum-dev,
  librust-strum-macros-dev,
  librust-url-dev (>= 2.5.4),
- librust-uuid-dev,
+ librust-uuid-dev (>= 1.18.1),
  pybuild-plugin-pyproject,
  python3:native,
  python3-all-dev:any,
@@ -45,7 +46,7 @@
  python3-typing-extensions (>= 4.14.1),
  python3-typing-inspection <!nocheck>,
 Homepage: https://github.com/pydantic/pydantic-core
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic-core
