=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  librust-enum-dispatch-dev,
  librust-hex-dev,
  librust-idna-dev (>= 1.1.0),
- librust-jiter+python-dev (>= 0.11.0),
+ librust-jiter-0.12+python-dev,
  librust-num-bigint-dev,
  librust-num-traits-dev (>= 0.2.19),
  librust-percent-encoding-dev,
- librust-pyo3-dev (>= 0.26),
+ librust-pyo3-0.27-dev,
+ librust-pyo3-build-config-0.27-dev,
  librust-regex-dev (>= 1.11.3),
  librust-serde-dev,
  librust-serde-json-dev (>= 1.0.143),
